# &k9copy; Handbook

Jean-Michel
Petit

    k9copy@free.fr

2004
2007
The k9copy Author
&FDLNotice;
02/11/2007
1.1.0

A DVD Backup tool for KDE. http://k9copy.sourceforge.net

k9copy
vamps
dvd

## k9copy shell

### The Main Window

Main Window
Screenshot

The main goal of k9copy is to be an easy to use and powerfull DVD backup app.

Once oppened, the DVD structure is shown in a treeview (the central widget).

The selection is made by checkboxes. You can select the entire DVD, a Titleset or just a specific language or subtitle from a DVD title.

The backup can be made in three ways :

- backup with orginal menus. In this case, k9copy reproduces the orginial structure of the DVD without the unselected parts.

- backup without menus. In this case, k9copy reproduces the orginial structure of the DVD without the unselected parts and without menus.

- backup without menus via dvdauthor . In this case, k9copy makes a reauthoring of the DVD. K9copy uses libdvdnav from xine to ensure that the DVD will be copied as it were played with xine.

### Make a dvd backup

#### Open the dvd

Select a dvd device from the list or click on buttons on right of the list to select a directory or a dvd image file.

Click on the button Open from the main toolbar or File->Open from the main menu.

The treeview will be filled with the DVD structure

#### Selection of titles to copy

DVD structure
Screenshot

Use the checkbox at the top of the treeview to make a copy of the entire DVD.

Use the checkbox beside the titleset to make a copy of a whole titleset.

It's now possible to selecte only the wanted chapters from a title.

A title must have a video stream : if you select an audio language or a subtitle language, the video stream will be automatically selected. If you deselect the video stream, the title will not be backuped.

#### Playback options of the new DVD

If the DVD you want to backup has interactive menus, you can keep them on your backup. Some DVDs have menus whose size is important. To preserve these menus would increase the shrink factor and would involve a loss of quality.

If you chose not to preserve the menus, you can then define some playback options :

When a title is selected, it appears in the Selected Titles list. Use buttons on the right of this list to define in which order the titles will be played.

You can define the default audio language or the default subtitle for each title. Hilite a title in the title list and the two comboboxes will be filled with the available languages (those which where selected in the treeview).

#### Perform the copy

Once you have selected the titles, you can proceed with copy :

### DVD backup settings

DVD backup settings
Screenshot

- Temporary files will be placed in the output directory

- Define the max size of the backup

- By default, &k9copy; uses its own burning method. Since the burning options are limited, you can use the a powerfull burning software: k3b.

- AutoBurn allows to run the DVD burning without confirmation.

- When using quickscan, &k9copy; will not analyze the dvd title to estimate the sizes of each stream. The DVD analyze can take a long time if DVD contains many features.

### MPEG-4 Encoding

&k9copy; offers the possibility to encode DVD titles in MPEG-4 via MEncoder.

Just select an audio stream from a title in the treeview and click on the button

### MPEG-4 settings

MPEG-4 settings
Screenshot

- Select the codec used to encode mp4. Default codecs are XViD and lavc MP4, but you can add other codecs supported by MEncoder.

- Choose the max size of an avi file an the number of files wanted.

- Enter the width of the mpeg4 video.

- Enter the height of the mpeg4 video.

- Audio will be encoded in mp3 using lame. You can choose the bitrate of the mp3 audio stream.

### MEncoder settings

MEncoder settings
Screenshot

You can add codecs supported by MEncoder:

Video example : xvid -xvidencopts bitrate=$VIDBR

Audio example : mp3lame -lameopts abr:br=$AUDBR

You can use following variables :

- $VIDBR : video bitrate (calculated)

- $AUDBR : audio bitrate (settings)

- $WIDTH : width (settings)

- $HEIGHT : height (settings)

- $PASS : pass number (runtime)

## Command Line Options

Usage:

    k9copy
    --input
    --output
    --play
    --dvdtitle
    --startsector
    --endsector
    --audiofilter
    --subpicturefilter
    --vampsfactor
    --inputsize
    --totalsize
    --dvdsize
    --chapter
    --cell
    --inject
    --initstatus

`--input (argument)` | input device
`--output (argument)` | output device
`--play` | &k9copy; is used to play a title or part of title to stdout
`--dvdtitle (argument)` | the dvd title to play
`--startsector (argument)` | sector to start playing from
`--endsector (argument)` | sector to end playing from
`--audiofilter (argument,argument..)` | Selection of audio streams
`--subpicturefilter (argument,argument,..)` | Selection of subtitles
`--vampsfactor (argument)` | Shrink factor
`--inputsize (argument)` | Size of the cell being copied
`--totalsize (argument)` | Total size of titles to play
`--dvdsize (argument)` | Final size of the dvd to produce
`--chapter (argument)` | Number of the chapter to play
`--cell (argument)` | Number of a cell from chapter to play
`--inject (argument)` | Name of the file used to save status between 2 calls of k9copy
`--initstatus` | Initialize status file

## Copyright and License

Program copyright 2004-2007, Jean-Michel Petit

&underFDL;

&underGPL;

&documentation.index;